<?php
/*------------------------------------------------------------------------
# "Hot Accordion" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// add your stylesheet
$doc->addStyleSheet( 'modules/mod_hot_accordion/tmpl/hot_accordion.css' );

// style declaration
$doc->addStyleDeclaration( '

ul.hot_accordion {
	height:'.$picHeight.'px; /* height of the module */
}

ul.hot_accordion li a {
	display:block;
	overflow:hidden;
	height:'.$paragraphHeight.'px;	/* height of text paragraph */
	width:'.$picOverlapping.'px; /* overlapping of images, also in jQuery */
	color:'.$textColor.' !important;
	font-family:'.$textFont.';
	font-size:'.$textFontSize.'px;
	font-style:'.$textStyle.';
	font-weight:'.$textWeight.';
}

ul.hot_accordion li span.accordion_head {
	display:block;
	margin:10px 0 20px '.$leftMarginText.'px !important;
	width:'.$paragraphWidth.'px;
	color:'.$headingColor.' !important;
	font-family:'.$headingFont.';
	font-size:'.$headingFontSize.'px !important;
	line-height:'.$headingFontSize.'px !important;
	font-style:'.$headingStyle.';
	font-weight:'.$headingWeight.';
}

ul.hot_accordion li img {
	position:absolute;
	border-left:'.$picBorderSize.'px '.$picBorderStyle.' '.$picBorderColor.';
}

ul.hot_accordion li span.accordion_body {
	margin-left: '.$leftMarginText.'px; /* margin of text from the left edge */
}

ul.hot_accordion li span.accordion_body {
	width:'.$paragraphWidth.'px;
}

#a1 {
	width:'.$paneWidth.'px;	/* width of a pane, also in default.php */
}

' );

if ($backgroundStyle=="color") {
	$doc->addStyleDeclaration( '
ul.hot_accordion {
	background:'.$background.';
}
	' );
}

if ($backgroundStyle=="image") {
	$doc->addStyleDeclaration( '
ul.hot_accordion {
	background:url('.$mosConfig_live_site.'/'.$backgroundImage.');
}
	' );
}

JHtml::_('jquery.framework');
?>

<script type="text/javascript" >
jQuery(document).ready(function(){
    lastBlock = jQuery("#a1");
    maxWidth = <?php echo $paneWidth; ?>;
    minWidth = <?php echo $picOverlapping; ?>;	
    jQuery("ul.hot_accordion li a.accordion_block").<?php echo $animateActivation; ?>(
      function(){
        jQuery(lastBlock).animate({width: minWidth+"px"}, { queue:false, duration:<?php echo $animationSpeed; ?> });
		jQuery(this).animate({width: maxWidth+"px"}, { queue:false, duration:<?php echo $animationSpeed; ?>});
		lastBlock = this;
      }
    );
});
</script>

<ul class="hot_accordion">
<?php
$firstCycle = 0;
for ($loop = 1; $loop <= 10; $loop += 1) { ?>
    <?php
	if ($slot[$loop]) { ?>
    <li>
    <a <?php if ($firstCycle==0) { ?>id="a1" <?php } ?>class="accordion_block"<?php if ($link[$loop]) { ?> href="<?php echo $link[$loop]; ?>"<?php } ?>>
      <img src="<?php echo $mosConfig_live_site; ?>/<?php echo $image[$loop]; ?>" alt="" height="<?php echo $picHeight; ?>" width="<?php echo $picWidth; ?>" />
      <span class="accordion_head"><?php echo $heading[$loop]; ?></span>
      <span class="accordion_body"><?php echo $text[$loop]; ?></span>
    </a>
	</li>
    <?php $firstCycle++; } ?>
<?php } ?>
</ul>
   	